Bug 123397 - Using one NIS map appears to force usage of all NIS maps
Summary: Using one NIS map appears to force usage of all NIS maps
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-18 01:44 UTC by Sean Bruno
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-22 16:54:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output ypcat auto_home (2.75 KB, application/octet-stream)
2005-03-28 17:28 UTC, Sean Bruno
no flags Details
output ypcat auto_master (47 bytes, text/plain)
2005-03-28 17:28 UTC, Sean Bruno
no flags Details

Description Sean Bruno 2004-05-18 01:44:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
My network has multiple NIS maps for various things.  We use an
"auto_home" map to mount the users home directory.  There is also an
"auto_local" map uses to mount the Sun /usr/local directory tree on
different machines.

By configuring any map in /etc/auto.master I end up mounting the
/usr/local subtree even though I am not configuring for this feature.

Contents of /etc/auto.master:
#
# $Id: auto.master,v 1.3 2003/09/29 08:22:35 raven Exp $
#
# Sample auto.master file
# This is an automounter map and it has the following format
# key [ -mount-options-separated-by-comma ] location
# For details of the format look at autofs(5).
/home   yp:auto_home --timeout=10


I have no auto.home or auto.local in /etc

This configuration works fine under FC1



Version-Release number of selected component (if applicable):
ypbind-1.17.2-1, autofs-4.1.2-2

How reproducible:
Always

Steps to Reproduce:
1.  Configure NIS on your machine
2.  Configure the NIS server to share two different maps(auto_home,
auto_local)
3.  Configure /etc/auto.master on your machine to use /home from the
auto_home NIS map.
4.  Login to your local machine as a user who has a home directory on
the NIS domain.
    

Actual Results:  The system successfully mounts /home , but also
mounts /usr/local even though I never ask it to use auto_local.

Expected Results:  /home should be the only thing mounted.

Additional info:

Comment 1 Sean Bruno 2004-11-17 20:45:46 UTC
Moving this on to FC3.  This is still an issue.

Comment 3 Sean Bruno 2005-03-27 23:29:30 UTC
Still an issue...Haven't tested in FC4 yet.  I will update when I test it at work.

Comment 4 Chris Feist 2005-03-28 16:50:03 UTC
Can you post the version of autofs you're using with FC3?  Also, can you post
your /etc/auto.master map (if it's changed) and the output of the following
commands:
ypcat auto_home
ypcat auto_master
ypcat auto.master


Comment 5 Sean Bruno 2005-03-28 17:27:05 UTC
autofs-4.1.3-28
ypbind-1.17.2-3

cat /etc/auto.master:

#
# $Id: auto.master,v 1.3 2003/09/29 08:22:35 raven Exp $
#
# Sample auto.master file
# This is an automounter map and it has the following format
# key [ -mount-options-separated-by-comma ] location
# For details of the format look at autofs(5).
#/misc  /etc/auto.misc --timeout=60
#/misc  /etc/auto.misc
#/net   /etc/auto.net

Comment 6 Sean Bruno 2005-03-28 17:28:17 UTC
Created attachment 112388 [details]
output ypcat auto_home

Comment 7 Sean Bruno 2005-03-28 17:28:56 UTC
Created attachment 112389 [details]
output ypcat auto_master

Comment 8 Sean Bruno 2005-03-28 17:30:02 UTC
auto.master doesn't exist on my NIS server:

ypcat auto.master > auto.master
No such map auto.master. Reason: Internal NIS error



Comment 9 Chris Feist 2005-03-28 17:59:48 UTC
Can you post the contents of your /etc/nsswitch.conf file.

Comment 10 Jeff Moyer 2005-04-27 17:05:44 UTC
Newer versions of autofs have a variable in /etc/sysconfig/autofs called
ONE_AUTO_MASTER.  Set this to 1 and your problems should be resolved.

Comment 11 Sean Bruno 2005-05-22 16:54:00 UTC
Indeed.  This does resolve my issue.  Thanks for the information.  I think this
ticket can be closed.


Note You need to log in before you can comment on or make changes to this bug.